<template>
  <v-tooltip bottom :max-width="width" :value="showHelpTooltip">
    <template v-slot:activator="{ attrs, on }">
      <v-btn
        icon
        v-bind="attrs"
        v-on="on"
        width="18px"
        height="18px"
        style="cursor: pointer"
        class="mr-4"
        color="#6739b6"
        @click="company.firstLogin = true"
      >
        <v-img
          width="5px"
          :src="require('@/assets/img/icons/carbon_information.svg')"
        />
      </v-btn>
    </template>

    <span class="text-center">{{ description }}</span>
  </v-tooltip>
</template>

<script>
export default {
  name: "ToolTips",
  props: {
    description: {
      type: String,
      default: null,
    },
    width: {
      type: String,
      default: "192px",
    },
  },

  data: function () {
    return {};
  },
};
</script>
